<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core">

<ui:composition template="template.xhtml">
	<ui:define name="content">
		<div id="doc"/>
	    	<!-- Zkontrolujte prosím nastavení kódování v hlavičce dokumentu 
			     podle použitého editoru -->
			
			<!-- Nahraďte prosím názvem tématu -->
			<h1>Pekárna</h1>
			
			<!-- Jména autorů a jejich činnost -->
			<dl>
				<dt>Autoři</dt>
				<dd>Hladík Zdeněk 
				    <a href="mailto:xautor01@stud.fit.vutbr.cz">xhladi17@stud.fit.vutbr.cz</a> -
				    funkčnost systému
				</dd>
				<dd>Suchý Ondřej
				    <a href="mailto:xautor02@stud.fit.vutbr.cz">xsuchy04@stud.fit.vutbr.cz</a> - 
				    návrh datového modelu
				</dd>
				<dd>Sobotka Lukáš
				    <a href="mailto:xautor02@stud.fit.vutbr.cz">xsobot21@stud.fit.vutbr.cz</a> - 
					design, login
				</dd>
			</dl>
			
			<!-- uživatelské účty -->
			<h2>Uživatelé systému pro testování</h2>
			<p>Uveďte prosím existující zástupce <strong>všech rolí uživatelů</strong>.</p>
			<table class="table">
				<tr><th>Login</th><th>Heslo</th><th>Role</th></tr>
				<tr><td>admin00</td><td>admin</td><td>Administrátor</td></tr>
				<tr><td>chleb00</td><td>chleb</td><td>Prodavač</td></tr>
				<tr><td>tenna00</td><td>tenna</td><td>Řidič</td></tr>
			</table>
			
			<!-- vyžadované knihovny i s verzemi, pouze pro Java EE -->
			<h2>Vyžadované knihovny</h2>
			<ul>
				<li>OmniFaces, verze 2.3</li>
			</ul>
			
			<h2>Poznámky</h2>
			
			<p>Pro správné ukládání českých znaků je potřeba přidat do atributů URL v Connection Pool 
			GlassFish serveru za cestu k MySQL serveru řetězec "?characterEncoding=UTF-8".</p>
			
			<p>Pokud se uživatel pokusí o smazání adresy, u které jsou již v systému uloženy objednávky,
			   tak dojde k vyjímce z  důvodu omezení cizích klíčů v databázi.</p>
	</ui:define>
</ui:composition>

</html>